▼ |  | M2 Manual All-Styles Document

1 | Code Styles
2 | Definition Blocks
3 | bitmap-dc%
4 | Miscellaneous
5 | Bibliography
| Bibliography

top ← prev up next →

### 1`` Code Styles

- RktSym (identifier without for-label binding): unbound or example

- RktValLink (link to variable form): cons

- RktValDef (definition of variable, normally combined with RktValLink): list in

  > > procedure

  > > (list) → any/c

  > > value

  > > list : any/c

- RktStxLink (link to syntactic form): lambda

- RktStxDef (definition of syntactic form, normally combined with RktStxLink): lambda in

  > > syntax

  > > (lambda ...)

- RktSymDef (definition without binding, normally a mistake, combined with RktSym): unbound-identifier in

  > > syntax

  > > (unbound-identifier)

- RktVar (local variable or meta-variable): variable or example

- RktRes (REPL result): '(1 2 3) or example

- RktOut (as written to the current output port): example

- RktErr (errors): example or the error message in

  > > (+ 1 'a)
  > +: contract violation
  > expected: number?
  > given: 'a
  > argument position: 2nd
  > other arguments...:
  > 1

- RktCmt (comments): example or

  > ; comment

- RktVal (values): '(1 2 3) or example

- highlighted (highlight via background): (not-this example nor-this)

- RktIn on a RktInBG: example

- RktPn (parentheses, etc.): ([{}]) or example

- RktRdr (reader shorthands): non-parentheses in (#`() ,@())

- RktMeta (the unquote comma): ,1 or example or “#reader” below.

  #reader module | package: base

- RktMod (module name; normally RktModLink instead): example

- RktModLink (a linked module reference): racket/base

- RktOpt (option-argument brackets): brackets in [in-example]

- RktKw (not normally used): example

The RktBlk style class is used for a table of multiple lines (more than 1) of Racket code:

> (define x (+ 1 2))
> (+ x 3)

top ← prev up next →